# autoAdvance

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Controls whether this Line View will wait for user input before indicating that it has finished presenting a line.

```csharp
public bool autoAdvance = false;
```

## Remarks

If this value is true, the Line View will not report that it has finished presenting its lines. Instead, it will wait until the [UserRequestedViewAdvancement()](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.userrequestedviewadvancement.md) method is called.

{% hint style="info" %}
The [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) will not proceed to the next piece of content (e.g. the next line, or the next options) until all Dialogue Views have reported that they have finished presenting their lines. If a [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md) doesn't report that it's finished until it receives input, the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) will end up pausing.

This is useful for games in which you want the player to be able to read lines of dialogue at their own pace, and give them control over when to advance to the next line.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.autoadvance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
